org.eclipse.wst.jsdt.chromium

## Interface JsFunction

All Superinterfaces:
  JsObject, JsValue

    public interface JsFunction
    extends JsObject

Extends `JsObject` interface with the methods for function-specific properties.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.wst.jsdt.chromium.JsValue

`JsValue.ReloadBiggerCallback, JsValue.Type`

### Method Summary

All Methods Instance Methods Abstract Methods
`TextStreamPosition` `getOpenParenPosition()` Returns position of opening parenthesis of function arguments.
`Script` `getScript()`

### Methods inherited from interface org.eclipse.wst.jsdt.chromium.JsObject

`asArray, asFunction, getClassName, getInternalProperties, getProperties, getProperty, getRefId, getRemoteValueMapping`

### Methods inherited from interface org.eclipse.wst.jsdt.chromium.JsValue

`asObject, getType, getValueString, isTruncated, reloadHeavyValue`

### Method Detail

#### getScript

    Script getScript()
              throws MethodIsBlockingException

Returns:
  script the function resides in or null if script is not available
Throws:
  `MethodIsBlockingException` - because it may need to load value from remote

#### getOpenParenPosition

    TextStreamPosition getOpenParenPosition()
                                     throws MethodIsBlockingException

Returns position of opening parenthesis of function arguments. Position is absolute within resource (not relative to script start position).

Returns:
  position or null if position is not available
Throws:
  `MethodIsBlockingException` - because it may need to load value from remote